package com.huaching.thselasticsearch.config;

import org.apache.http.HttpHost;
import org.elasticsearch.client.RestClient;
import org.elasticsearch.client.RestHighLevelClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PreDestroy;
import java.io.IOException;

@Configuration
public class ElasticSearchClientConfig {

    private static final Logger logger = LoggerFactory.getLogger(ElasticSearchClientConfig.class);

    @Autowired
    private ElasticSearchConfig elasticSearchConfig;

    @Autowired
    private RestHighLevelClient restHighLevelClient;

    @Bean
    public RestHighLevelClient restHighLevelClient(){
        return new RestHighLevelClient(
                RestClient.builder(
                        new HttpHost(elasticSearchConfig.getHostname(), elasticSearchConfig.getPort(), elasticSearchConfig.getScheme())));
    }

    @PreDestroy
    public void close(){
        try {
            restHighLevelClient.close();
        } catch (IOException e) {
            logger.error("RestHighLevelClient 关闭出异常", e);
        }
    }



}
