package com.huaching.thselasticsearch.service.impl;

import com.huaching.thselasticsearch.config.ElasticSearchClientConfig;
import com.huaching.thselasticsearch.service.ApiVisitDevService;
import org.elasticsearch.action.search.SearchRequest;
import org.elasticsearch.action.search.SearchResponse;
import org.elasticsearch.client.RequestOptions;
import org.elasticsearch.client.RestHighLevelClient;
import org.elasticsearch.index.query.QueryBuilders;
import org.elasticsearch.search.builder.SearchSourceBuilder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;

@Service
public class ApiVisitDevServiceImpl implements ApiVisitDevService {

    private static final Logger logger = LoggerFactory.getLogger(ApiVisitDevServiceImpl.class);

    @Autowired
    private RestHighLevelClient restHighLevelClient;


    @Override
    public void search(String search) {
        SearchRequest searchRequest = new SearchRequest("api_visit_dev");
        SearchSourceBuilder searchSourceBuilder = new SearchSourceBuilder();
        searchSourceBuilder.query(QueryBuilders.matchAllQuery());
        searchRequest.source(searchSourceBuilder);
        SearchResponse searchResponse = null;
        try {
            searchResponse = restHighLevelClient.search(searchRequest, RequestOptions.DEFAULT);
        } catch (IOException e) {
            e.printStackTrace();
        }

        System.out.println(searchResponse);
    }
}
